%define __distdep %(rpm -qf /etc/redhat-release | sed 's/-[^-]*$//' | head -1)
%define __distpkg %(echo %{__distdep} | sed 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | sed 's/.*-//' | tr -d '[:alpha:]')
%define __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | tr -d '[:space:]' | cut -c 1-4 | tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`perl -V:version`"; echo $version)
%define __perl_package Sendmail-AccessDB

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	0.09
Release:	1.%{__distinit}%{__distvers}
License:	GPL or Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://www.cpan.org/modules/by-module/Sendmail/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}, perl-BerkeleyDB
BuildRequires:	sendmail, perl-BerkeleyDB
BuildArch:	noarch

%description
This module is designed so that users of the Sendmail::Milter module (or
other Sendmail programmers) can ascertain if a user has elected to
whitelist themselves as a "spam friend" (where there should be no spam
filtering on mail to them) or, where spam-filtering is not the default,
but an option, where certain recipients have been labelled as "spam
haters"

%prep
%setup -q -n %{__perl_package}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT
                                                                                                                 
%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST Changes LICENSE

%changelog
* Tue May 04 2004 Paul Howarth <paul@city-fan.org> 0.09-1
- Update to 0.09
- DB_File requirement replaced by BerkeleyDB
- No longer necessary to manually create test.db

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.07-4
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.
- Fixed detection of Red Hat Linux for perl-DB_File dependency.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.07-3
- DB_File built into Fedora perl RPM, so don't require it for
  Fedora builds.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.07-2
- Unified spec file for Red Hat and Fedora Core
- Added (Build)Requires: perl-DB_File

* Fri Jan 16 2004 Paul Howarth <paul@city-fan.org> 0.07.fc1
- Initial build
